robotpkg/middleware/ace bulk build results

Log for ace-6.0.4r2 on Ubuntu-16.04-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for ace-6.0.4r2 => Installing digest-20080510.tgz => Installing tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for ace-6.0.4r2 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20091122: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-1.4.20 found => Required system package gzip: gzip-1.6 found => Required system package patch>=2.0: patch-2.7.5 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.7: pkg_install-20110805.7 found => Required system package pkgrepo2deb>=1.2.1: pkgrepo2deb-1.2.1 found ===> Done bootstrap-depends for ace-6.0.4r2 ===> Installing full dependencies for ace-6.0.4r2 => Dependency digest-20080510 already installed => Dependency tnftp-20130505~ssl already installed ===> Checking build options for ace-6.0.4r2 => Building with no option. ===> Checking alternatives for ace-6.0.4r2 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 ===> Checking dependencies for ace-6.0.4r2 => Required system package g++>=3: g++-5.4.0 found => Required system package gcc>=3: gcc-5.4.0 found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-0.29.1 found ===> Done depends for ace-6.0.4r2 ===> Extracting for ace-6.0.4r2 => SHA1 checksums OK => RMD160 checksums OK ===> Patching for ace-6.0.4r2 => Applying robotpkg patches for ace-6.0.4r2 ===> Configuring for ace-6.0.4r2 /bin/mkdir -p /local/robotpkg/var/tmp/robotpkg/middleware/ace/work/ACE_wrappers/build => Modifying GNU configure scripts to avoid --recheck configure: WARNING: Optimization configure support not fully implemented yet. ===> Building for ace-6.0.4r2 .libs/libACE_la-FILE_Addr.o: In function `ACE_FILE_Addr::set(ACE_FILE_Addr const&)': FILE_Addr.cpp:(.text+0xee): warning: the use of `mktemp' is dangerous, better use `mkstemp' or `mkdtemp' ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') mkcsregdb-mkcsregdb.o: In function `csdb_generator::init_output(char const*)': mkcsregdb.cpp:(.text+0xdfe): warning: the use of `tempnam' is dangerous, better use `mkstemp' 3 input keysigs have identical hash values, examine output carefully... GPERF: Automatically changing to -S1 switch option 1 input keysigs have identical hash values, examine output carefully... 12 input keysigs have identical hash values, examine output carefully... ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ar: `u' modifier ignored since `D' is the default (see `U') ===> Installing for ace-6.0.4r2 libtool: install: warning: relinking `libACE_ETCL.la' libtool: install: warning: relinking `libACE_ETCL_Parser.la' libtool: install: warning: relinking `libACE_Monitor_Control.la' libtool: install: warning: relinking `libACEXML.la' libtool: install: warning: relinking `libACEXML_Parser.la' libtool: install: warning: relinking `libACEXML_XML_Svc_Conf_Parser.la' libtool: install: warning: relinking `libACE_HTBP.la' libtool: install: warning: relinking `libACE_RMCast.la' libtool: install: warning: relinking `libACE_TMCast.la' libtool: install: warning: relinking `libKokyu.la' => Adding run-time search paths to pkg-config files => Registering installation for ace-6.0.4r2 ===> Done install for ace-6.0.4r2 ===> Building binary package for ace-6.0.4r2 Creating package /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/All/ace-6.0.4r2 => Linking package in /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-16.04-x86_64/pub => Building debian binary package dpkg-deb: building package 'robotpkg-ace' in '/local/robotpkg/var/tmp/robotpkg/middleware/ace/work/pkg2deb.16706/robotpkg-ace_6.0.4r2_amd64.deb'. WARNING: N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension WARNING: N: Ignoring file '50unattended-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension ===> Deinstalling for ace Removed ace-6.0.4r2 Removed digest-20080510 Removed tnftp-20130505~ssl